﻿using System;
using System.Windows.Data;
using System.Collections.ObjectModel;

namespace XamgridHierarchalComboEditor
{
    // change name to    CountyComboBindingToIntegerConverter
    public class CountyComboBindingToIntegerConverter : IValueConverter
    {

        private ObservableCollection<County> Counties;
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {

            if (value == null)
            {
                System.Diagnostics.Debug.WriteLine("CountyComboBindingToIntegerConverter.Convert = NULL");
            }
            else
            {
                System.Diagnostics.Debug.WriteLine("CountyComboBindingToIntegerConverter.Convert = " + value.ToString());
            }

            if (value == null) { return null; }
            int inVal = (int)value;
            Counties = (ObservableCollection<County>)parameter;
            //return GetStateTestByID(inVal);//.St_Id;
            if (value != null)
            {
                foreach (County county in Counties)
                {
                    if (county.Cnt_Id == (int)value)
                    {
                        return county;
                    }
                }
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            County county = value as County;
            // value is always null when the county combo looses focus.  Somehow we're loosing the selected item.

            if (value == null)
            {
                System.Diagnostics.Debug.WriteLine("CountyComboBindingToIntegerConverter.ConvertBack = NULL");
            }
            else
            {
                System.Diagnostics.Debug.WriteLine("CountyComboBindingToIntegerConverter.ConvertBack = " + value.ToString());
            }

            if (county != null)
                return county.Cnt_Id;
            return value;
        }
    }
}
