﻿using System;
using System.Collections.ObjectModel;
using System.Windows.Data;
using System.Linq;

namespace XamgridHierarchalComboEditor
{

    public class CountyComboBindingToTextConverter : IValueConverter
    {
          
        private ObservableCollection<County> _counties;
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {

            if (value == null)
            {
                System.Diagnostics.Debug.WriteLine("CountyComboBindingToTextConverter.Convert = NULL");
            }
            else
            {
                System.Diagnostics.Debug.WriteLine("CountyComboBindingToTextConverter.Convert = " + value.ToString());
            }

            if (value == null) { return null; }
            int inVal = (int)value;
            // This line is different from the State converter version  (StateComboBindingToTextConverter)
            _counties = DataSource.Counties; 
            return GetCountyTestByID(inVal).Cnt_Name;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {

            if (value == null)
            {
                System.Diagnostics.Debug.WriteLine("CountyComboBindingToTextConverter.ConvertBack = NULL");
            }
            else
            {
                System.Diagnostics.Debug.WriteLine("CountyComboBindingToTextConverter.ConvertBack = " + value.ToString());
            }

            if (value != null)
            {
                return value.ToString();
            }
            return null;
        }

        private County GetCountyTestByID(int id)
        {
            return _counties.FirstOrDefault(b => b.Cnt_Id == id);

        }
        
    }

}
