﻿using System;
using System.Collections.ObjectModel;
using System.Windows.Data;
using System.Linq;

namespace XamgridHierarchalComboEditor
{

    public class StateComboBindingToIntegerConverter : IValueConverter
    {

        private ObservableCollection<State> States;
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null) { return null; }
            int inVal = (int)value;
            States = (ObservableCollection<State>)parameter;
            return GetStateTestByID(inVal);//.St_Id;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            State state = value as State;

            if (value == null)
            {
                System.Diagnostics.Debug.WriteLine("StateComboBindingToIntegerConverter.ConvertBack = NULL");
            }
            else
            {
                System.Diagnostics.Debug.WriteLine("StateComboBindingToIntegerConverter.ConvertBack = " + value.ToString());
            }

            if (state != null)
            {
                return state.St_Id;
            }
            return value;
        }

        private State GetStateTestByID(int id)
        {
            return States.FirstOrDefault(b => b.St_Id == id);
        }
    }


}
