﻿using System;
using System.Collections.ObjectModel;
using System.Windows.Data;
using System.Linq;

namespace XamgridHierarchalComboEditor
{

    public class StateComboBindingToTextConverter : IValueConverter
    {

        private ObservableCollection<State> _states;
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null) { return null; }
            int inVal = (int)value;
            _states = (ObservableCollection<State>)parameter;
            return GetStateTestByID(inVal).St_Code;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                return value.ToString();
            }
            return null;
        }

        private State GetStateTestByID(int id)
        {
            return _states.FirstOrDefault(b => b.St_Id == id);
        }
    }

}
