﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Windows.Data;
using System.Linq;
using System.Collections.Generic;

namespace XamgridHierarchalComboEditor
{
    public class DataSource
    {

        #region County

        static ObservableCollection<County> _counties = GetCountyList();

        public static ObservableCollection<County> Counties
        {
            get { return DataSource._counties; }
            set { DataSource._counties = value; }
        } 


        static ObservableCollection<County> GetCountyList()
        {
            ObservableCollection<County> list = new ObservableCollection<County>();
            list.Add(new County(1, 1, "Austin"));
            list.Add(new County(2, 1, "Baylor"));
            list.Add(new County(3, 1, "Pecos"));
            list.Add(new County(4, 1, "Tyler"));
            list.Add(new County(5, 2, "King"));
            list.Add(new County(6, 2, "Peirce"));
            list.Add(new County(7, 3, "Cherokee"));
            list.Add(new County(8, 3, "Grant"));
            return list;
        }


        static public IEnumerable<County> GetCountiesByStateId(int id)
        {
            var countiesByState =
           from county in _counties
           where county.Cnt_St_Id == (int)id
           select county;
            return countiesByState.ToList<County>();
        }

        #endregion County

        public static ObservableCollection<State> GetStateList()
        {
            ObservableCollection<State> list = new ObservableCollection<State>();
            list.Add(new State(1, "TX"));
            list.Add(new State(2, "WA"));
            list.Add(new State(3, "CO"));
            return list;
        }

    }
}
