﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace XamgridHierarchalComboEditor
{

    public class Rows : ObservableCollection<RowItem>
    {

    }


    public class RowItem : INotifyPropertyChanged
    {
        int _id;
        int? _stateId;
        int? _countyId;



        public RowItem(int id, int statId, int countyId)
        {
            _id = id;
            _stateId = statId;
            _countyId = countyId;

        }

        public int Id
        {
            get { return _id; }
            set
            {
                _id = value;
                Notify("Id");
            }
        }

        public int? StateId
        {
            get { return _stateId; }
            set
            {
                if (_stateId != value)
                {

                    if (value == null)
                    {
                        System.Diagnostics.Debug.WriteLine("StateId = NULL");
                    }
                    else
                    {
                        System.Diagnostics.Debug.WriteLine("StateId = " + value.ToString());
                    }

                    _stateId = value;
                    Notify("StateId");
                    // Clear Country ID as we will have to pick a new one from the updated State list.
                    //CountyId = null;
                }
            }
        }

        public int? CountyId
        {
            get { return _countyId; }
            set
            {
                if (_countyId != value)
                {

                    if (value == null)
                    {
                        System.Diagnostics.Debug.WriteLine("CountyId = NULL");
                    }
                    else
                    {
                        System.Diagnostics.Debug.WriteLine("CountyId = " + value.ToString());
                    }

                    _countyId = value;
                    Notify("CountyId");
                }
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;


        #region INotifyPropertyChanged Members

        /// <summary>
        /// 	<para>
        ///         This method raises the <see cref="PropertyChanged">PropertyChanged</see> event
        ///         and is required by the INotifyPropertyChanged interface. It’s called in nearly
        ///         all public data field properties.
        ///     </para>
        /// 	<para>The <strong>INotifyPropertyChanged</strong> interface is used to notify
        ///     clients, typically binding clients, that a property value has changed. For more
        ///     information, search INotifyPropertyChanged on <strong>MSDN</strong>.</para>
        /// </summary>
        protected void Notify(string propName)
        {
            if (this.PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
            }
        }


        #endregion INotifyPropertyChanged Members



    }


}
